// pages/student/menu/menu.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: '',
    menuStudent: [{
        'title': '人脸自助',
        imagename: 'facephoto',
        left: '#fec38f',
        right: '#ff8980'
      },
      {
        'title': '访客申请',
        imagename: 'application',
        left: '#bdc1ff',
        right: '#ac8efd'
      },
      {
        'title': '通行记录',
        imagename: 'pass',
        left: '#9fd9fc',
        right: '#7abcf2'
      },
      {
        'title': '考勤统计',
        imagename: 'statistics',
        left: '#ffca93',
        right: '#fdb957'
      }
    ],
    listStudent: [{
        'title': '报修服务',
        nav: 'baoxiu'
      },
      {
        'title': '快递物流',
        nav: 'kuaidi'
      },
      {
        'title': '投诉建议',
        nav: 'tousu',
        url:'proposal',
        status:true
      },
      {
        'title': '问卷调查',
        nav: 'diaocha'
      }
    ],
    menuTeacher: [{
        'title': '人脸自助',
        imagename: 'facephoto',
        left: '#fec38f',
        right: '#ff8980'
      },
      {
        'title': '访客审核',
        imagename: 'visitorcheck',
        left: '#bdc1ff',
        right: '#ac8efd'
      },
      {
        'title': '通行记录',
        imagename: 'pass',
        left: '#9fd9fc',
        right: '#7abcf2'
      },
      {
        'title': '考勤统计',
        imagename: 'statistics',
        left: '#ffca93',
        right: '#fdb957'
      }
    ],
    listTeacher: [{
      'title': '预警提醒',
      nav: 'yujing-2',
      url: 'warning'
    }, {
      'title': '报表管理',
      nav: 'baobiaoguanli'
    }, {
      'title': '投诉建议',
      nav: 'tousu'
    }, {
      'title': '报修管理',
      nav: 'baoxiu'
    }]
  },
  check: function(e) {
    console.log(e)
    if(e.currentTarget.dataset.status){
      return false
    }
    wx.showToast({
      title: '模块开发中',
      icon: 'none'
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    const that = this;
    let userInfo = wx.getStorageSync('user');
    that.setData({
      userInfo: userInfo
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})